/*******************************************************************************
 * Multi-level dropdown menu                                                   *
 ******************************************************************************/
.dropdown-submenu {
  position: relative;
}
.dropdown-submenu > .dropdown-menu {
  top: 0;
  left: 100%;
  margin-top: -6px;
  margin-left: -1px;
  -webkit-border-radius: 0 6px 6px 6px;
  -moz-border-radius: 0 6px 6px 6px;
  border-radius: 0 6px 6px 6px;
}
.dropdown-submenu:hover > .dropdown-menu {
  display: block;
}
.dropdown-submenu > a:after {
  display: block;
  content: " ";
  float: right;
  width: 0;
  height: 0;
  border: 5px solid transparent;
  border-right-width: 0;
  border-left-color: #ccc;
  border-left-color: rgba(0, 0, 0, 0.15);
  margin-top: 5px;
  margin-right: -10px;
}
.dropdown-submenu:hover > a:after {
  border-left-color: #fff;
}
.dropdown-submenu.pull-left {
  float: none;
}
.dropdown-submenu.pull-left > .dropdown-menu {
  left: -100%;
  margin-left: 10px;
  -webkit-border-radius: 6px 0 6px 6px;
  -moz-border-radius: 6px 0 6px 6px;
  border-radius: 6px 0 6px 6px;
}
/*******************************************************************************
 * Cellules de tableau.                                                        *
 ******************************************************************************/
table td.biginteger,
table td.decimal,
table td.float,
table td.integer {
  text-align: right;
}
table td .btn-default {
  background-image: none;
}
/*******************************************************************************
 * CakePHP 2.x                                                                 *
 * Utiliser .table-responsive autour des tables.                               *
 ******************************************************************************/
#flashMessage {
  padding: 15px;
  margin-bottom: 20px;
  border: 1px solid transparent;
  border-radius: 4px;
}
#flashMessage h4 {
  margin-top: 0;
  color: inherit;
}
#flashMessage .alert-link {
  font-weight: bold;
}
#flashMessage > p,
#flashMessage > ul {
  margin-bottom: 0;
}
#flashMessage > p + p {
  margin-top: 5px;
}
#flashMessage.error {
  background-color: #f2dede;
  border-color: #ebccd1;
  color: #a94442;
}
#flashMessage.error hr {
  border-top-color: #e4b9c0;
}
#flashMessage.error .alert-link {
  color: #843534;
}
#flashMessage.info {
  background-color: #d9edf7;
  border-color: #bce8f1;
  color: #31708f;
}
#flashMessage.info hr {
  border-top-color: #a6e1ec;
}
#flashMessage.info .alert-link {
  color: #245269;
}
#flashMessage.success {
  background-color: #dff0d8;
  border-color: #d6e9c6;
  color: #3c763d;
}
#flashMessage.success hr {
  border-top-color: #c9e2b3;
}
#flashMessage.success .alert-link {
  color: #2b542c;
}
#flashMessage.warning {
  background-color: #fcf8e3;
  border-color: #faebcc;
  color: #8a6d3b;
}
#flashMessage.warning hr {
  border-top-color: #f7e1b5;
}
#flashMessage.warning .alert-link {
  color: #66512c;
}
.has-error .control-label {
  color: inherit;
}
.has-error .help-block {
  color: #737373;
}
.error-message.help-block,
.has-error .error-message.help-block {
  padding: 15px;
  margin-bottom: 20px;
  border: 1px solid transparent;
  border-radius: 4px;
  background-color: #f2dede;
  border-color: #ebccd1;
  color: #a94442;
}
.error-message.help-block h4,
.has-error .error-message.help-block h4 {
  margin-top: 0;
  color: inherit;
}
.error-message.help-block .alert-link,
.has-error .error-message.help-block .alert-link {
  font-weight: bold;
}
.error-message.help-block > p,
.has-error .error-message.help-block > p,
.error-message.help-block > ul,
.has-error .error-message.help-block > ul {
  margin-bottom: 0;
}
.error-message.help-block > p + p,
.has-error .error-message.help-block > p + p {
  margin-top: 5px;
}
.error-message.help-block hr,
.has-error .error-message.help-block hr {
  border-top-color: #e4b9c0;
}
.error-message.help-block .alert-link,
.has-error .error-message.help-block .alert-link {
  color: #843534;
}
table.cake-sql-log {
  width: 100%;
  max-width: 100%;
  margin-bottom: 20px;
  border: 1px solid #ddd;
}
table.cake-sql-log > thead > tr > th,
table.cake-sql-log > tbody > tr > th,
table.cake-sql-log > tfoot > tr > th,
table.cake-sql-log > thead > tr > td,
table.cake-sql-log > tbody > tr > td,
table.cake-sql-log > tfoot > tr > td {
  padding: 8px;
  line-height: 1.42857143;
  vertical-align: top;
  border-top: 1px solid #ddd;
}
table.cake-sql-log > thead > tr > th {
  vertical-align: bottom;
  border-bottom: 2px solid #ddd;
}
table.cake-sql-log > caption + thead > tr:first-child > th,
table.cake-sql-log > colgroup + thead > tr:first-child > th,
table.cake-sql-log > thead:first-child > tr:first-child > th,
table.cake-sql-log > caption + thead > tr:first-child > td,
table.cake-sql-log > colgroup + thead > tr:first-child > td,
table.cake-sql-log > thead:first-child > tr:first-child > td {
  border-top: 0;
}
table.cake-sql-log > tbody + tbody {
  border-top: 2px solid #ddd;
}
table.cake-sql-log .table {
  background-color: #fff;
}
table.cake-sql-log > tbody > tr:nth-of-type(odd) {
  background-color: #f9f9f9;
}
table.cake-sql-log > thead > tr > th,
table.cake-sql-log > tbody > tr > th,
table.cake-sql-log > tfoot > tr > th,
table.cake-sql-log > thead > tr > td,
table.cake-sql-log > tbody > tr > td,
table.cake-sql-log > tfoot > tr > td {
  border: 1px solid #ddd;
}
table.cake-sql-log > thead > tr > th,
table.cake-sql-log > thead > tr > td {
  border-bottom-width: 2px;
}
table.cake-sql-log > tbody > tr:hover {
  background-color: #f5f5f5;
}
table.cake-sql-log > thead > tr > th,
table.cake-sql-log > tbody > tr > th,
table.cake-sql-log > tfoot > tr > th,
table.cake-sql-log > thead > tr > td,
table.cake-sql-log > tbody > tr > td,
table.cake-sql-log > tfoot > tr > td {
  padding: 5px;
}
table.cake-sql-log caption {
  text-align: center;
}
table.cake-sql-log td {
  font-size: 90%;
  font-family: Menlo, Monaco, Consolas, "Courier New", monospace;
}
div.input.date select.form-control,
div.input.datetime select.form-control,
div.input.time select.form-control {
  width: auto;
}
div.input.date div.col-lg-1,
div.input.datetime div.col-lg-1,
div.input.time div.col-lg-1,
div.input.date div.col-lg-2,
div.input.datetime div.col-lg-2,
div.input.time div.col-lg-2,
div.input.date div.col-lg-3,
div.input.datetime div.col-lg-3,
div.input.time div.col-lg-3,
div.input.date div.col-lg-4,
div.input.datetime div.col-lg-4,
div.input.time div.col-lg-4,
div.input.date div.col-lg-5,
div.input.datetime div.col-lg-5,
div.input.time div.col-lg-5,
div.input.date div.col-lg-6,
div.input.datetime div.col-lg-6,
div.input.time div.col-lg-6,
div.input.date div.col-lg-7,
div.input.datetime div.col-lg-7,
div.input.time div.col-lg-7,
div.input.date div.col-lg-8,
div.input.datetime div.col-lg-8,
div.input.time div.col-lg-8,
div.input.date div.col-lg-9,
div.input.datetime div.col-lg-9,
div.input.time div.col-lg-9,
div.input.date div.col-lg-10,
div.input.datetime div.col-lg-10,
div.input.time div.col-lg-10,
div.input.date div.col-lg-11,
div.input.datetime div.col-lg-11,
div.input.time div.col-lg-11,
div.input.date div.col-lg-12,
div.input.datetime div.col-lg-12,
div.input.time div.col-lg-12,
div.input.date div.col-md-1,
div.input.datetime div.col-md-1,
div.input.time div.col-md-1,
div.input.date div.col-md-2,
div.input.datetime div.col-md-2,
div.input.time div.col-md-2,
div.input.date div.col-md-3,
div.input.datetime div.col-md-3,
div.input.time div.col-md-3,
div.input.date div.col-md-4,
div.input.datetime div.col-md-4,
div.input.time div.col-md-4,
div.input.date div.col-md-5,
div.input.datetime div.col-md-5,
div.input.time div.col-md-5,
div.input.date div.col-md-6,
div.input.datetime div.col-md-6,
div.input.time div.col-md-6,
div.input.date div.col-md-7,
div.input.datetime div.col-md-7,
div.input.time div.col-md-7,
div.input.date div.col-md-8,
div.input.datetime div.col-md-8,
div.input.time div.col-md-8,
div.input.date div.col-md-9,
div.input.datetime div.col-md-9,
div.input.time div.col-md-9,
div.input.date div.col-md-10,
div.input.datetime div.col-md-10,
div.input.time div.col-md-10,
div.input.date div.col-md-11,
div.input.datetime div.col-md-11,
div.input.time div.col-md-11,
div.input.date div.col-md-12,
div.input.datetime div.col-md-12,
div.input.time div.col-md-12,
div.input.date div.col-sm-1,
div.input.datetime div.col-sm-1,
div.input.time div.col-sm-1,
div.input.date div.col-sm-2,
div.input.datetime div.col-sm-2,
div.input.time div.col-sm-2,
div.input.date div.col-sm-3,
div.input.datetime div.col-sm-3,
div.input.time div.col-sm-3,
div.input.date div.col-sm-4,
div.input.datetime div.col-sm-4,
div.input.time div.col-sm-4,
div.input.date div.col-sm-5,
div.input.datetime div.col-sm-5,
div.input.time div.col-sm-5,
div.input.date div.col-sm-6,
div.input.datetime div.col-sm-6,
div.input.time div.col-sm-6,
div.input.date div.col-sm-7,
div.input.datetime div.col-sm-7,
div.input.time div.col-sm-7,
div.input.date div.col-sm-8,
div.input.datetime div.col-sm-8,
div.input.time div.col-sm-8,
div.input.date div.col-sm-9,
div.input.datetime div.col-sm-9,
div.input.time div.col-sm-9,
div.input.date div.col-sm-10,
div.input.datetime div.col-sm-10,
div.input.time div.col-sm-10,
div.input.date div.col-sm-11,
div.input.datetime div.col-sm-11,
div.input.time div.col-sm-11,
div.input.date div.col-sm-12,
div.input.datetime div.col-sm-12,
div.input.time div.col-sm-12,
div.input.date div.col-xs-1,
div.input.datetime div.col-xs-1,
div.input.time div.col-xs-1,
div.input.date div.col-xs-2,
div.input.datetime div.col-xs-2,
div.input.time div.col-xs-2,
div.input.date div.col-xs-3,
div.input.datetime div.col-xs-3,
div.input.time div.col-xs-3,
div.input.date div.col-xs-4,
div.input.datetime div.col-xs-4,
div.input.time div.col-xs-4,
div.input.date div.col-xs-5,
div.input.datetime div.col-xs-5,
div.input.time div.col-xs-5,
div.input.date div.col-xs-6,
div.input.datetime div.col-xs-6,
div.input.time div.col-xs-6,
div.input.date div.col-xs-7,
div.input.datetime div.col-xs-7,
div.input.time div.col-xs-7,
div.input.date div.col-xs-8,
div.input.datetime div.col-xs-8,
div.input.time div.col-xs-8,
div.input.date div.col-xs-9,
div.input.datetime div.col-xs-9,
div.input.time div.col-xs-9,
div.input.date div.col-xs-10,
div.input.datetime div.col-xs-10,
div.input.time div.col-xs-10,
div.input.date div.col-xs-11,
div.input.datetime div.col-xs-11,
div.input.time div.col-xs-11,
div.input.date div.col-xs-12,
div.input.datetime div.col-xs-12,
div.input.time div.col-xs-12 {
  width: auto;
  display: inline-block;
  float: none;
}
/*******************************************************************************
 * Groupes d'actions dans les tableaux de résultats                            *
 ******************************************************************************/
td.actions div.btn-group + div.btn-group {
  margin-left: 1.8em;
}
td.actions div.btn-group > form + .btn {
  border-top-left-radius: 3px!important;
  border-bottom-left-radius: 3px!important;
}
/*******************************************************************************
 * Parties de formulaires pour CakePHP 2.x                                     *
 ******************************************************************************/
div.input.file .form-control {
  padding: 0;
  border: 0;
}
div.input.checkbox input[type="checkbox"],
div.input.checkbox-inline input[type="checkbox"],
fieldset.input.select input[type="checkbox"],
fieldset.input.radio input[type="radio"] {
  margin-left: 0;
}
body label abbr[title].required {
  border-bottom: 0;
  text-decoration: none;
  color: #a94442;
}
fieldset.input.select label,
fieldset.input.radio label {
  float: none;
}
.form-horizontal fieldset.input.select .control-label {
  padding-top: 0;
  text-align: left;
}
.form-horizontal fieldset.col-lg-1,
.form-horizontal fieldset.col-lg-2,
.form-horizontal fieldset.col-lg-3,
.form-horizontal fieldset.col-lg-4,
.form-horizontal fieldset.col-lg-5,
.form-horizontal fieldset.col-lg-6,
.form-horizontal fieldset.col-lg-7,
.form-horizontal fieldset.col-lg-8,
.form-horizontal fieldset.col-lg-9,
.form-horizontal fieldset.col-lg-10,
.form-horizontal fieldset.col-lg-11,
.form-horizontal fieldset.col-lg-12,
.form-horizontal fieldset.col-md-1,
.form-horizontal fieldset.col-md-2,
.form-horizontal fieldset.col-md-3,
.form-horizontal fieldset.col-md-4,
.form-horizontal fieldset.col-md-5,
.form-horizontal fieldset.col-md-6,
.form-horizontal fieldset.col-md-7,
.form-horizontal fieldset.col-md-8,
.form-horizontal fieldset.col-md-9,
.form-horizontal fieldset.col-md-10,
.form-horizontal fieldset.col-md-11,
.form-horizontal fieldset.col-md-12,
.form-horizontal fieldset.col-sm-1,
.form-horizontal fieldset.col-sm-2,
.form-horizontal fieldset.col-sm-3,
.form-horizontal fieldset.col-sm-4,
.form-horizontal fieldset.col-sm-5,
.form-horizontal fieldset.col-sm-6,
.form-horizontal fieldset.col-sm-7,
.form-horizontal fieldset.col-sm-8,
.form-horizontal fieldset.col-sm-9,
.form-horizontal fieldset.col-sm-10,
.form-horizontal fieldset.col-sm-11,
.form-horizontal fieldset.col-sm-12,
.form-horizontal fieldset.col-xs-1,
.form-horizontal fieldset.col-xs-2,
.form-horizontal fieldset.col-xs-3,
.form-horizontal fieldset.col-xs-4,
.form-horizontal fieldset.col-xs-5,
.form-horizontal fieldset.col-xs-6,
.form-horizontal fieldset.col-xs-7,
.form-horizontal fieldset.col-xs-8,
.form-horizontal fieldset.col-xs-9,
.form-horizontal fieldset.col-xs-10,
.form-horizontal fieldset.col-xs-11,
.form-horizontal fieldset.col-xs-12 {
  padding: 0;
  margin-bottom: 1em;
}
/*******************************************************************************
 * Parties spécifiques pour echanges-gratuits                                  *
 ******************************************************************************/
.error-message.help-block,
.has-error .error-message.help-block {
  border: 0;
  border-left: 2px solid #a94442;
  border-radius: 0;
  padding: 0.25em;
  padding-left: 0.5em;
}
